Get system settings
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
SystemSettingsResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| automaticLogoutMinutes | Number of minutes after which users will be automatically logged out | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| billPayCutoverEndDate | Cut over date when EnergyCAP officially takes over bill payments | string (date-time) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| defaultCollection | CollectionChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
CollectionChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| defaultCostCenter | CostCenterChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
CostCenterChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| defaultCountry | Default country for new users | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| defaultDateFormat | Default date format for new users | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| defaultMeterTimeZone | TimeZoneResponse | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
TimeZoneResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| defaultTopmostPlace | PlaceChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| defaultTopmostSpace | PlaceChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| defaultUserRole | SystemUserRoleChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
SystemUserRoleChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| displayOrganizationNameInHeader | Indicates whether or not organization name should be displayed in the application header | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| monthsToExcludeFromCharts | Number of months to exclude from powerview charts | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| organizationLogo | The organization logo May be a base64-encoded PNG, JPG, or SVG image or a URI for an image hosted online A null value will clear the saved image | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| organizationName | The organization name | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "automaticLogoutMinutes": 1, "billPayCutoverEndDate": "2026-03-30", "defaultCollection": { "collectionCode": "string", "collectionIcon": { "code": "string", "color": "string"
}, "collectionId": 1, "collectionInfo": "string"
}, "defaultCostCenter": { "costCenterCode": "string", "costCenterId": 1, "costCenterInfo": "string"
}, "defaultCountry": "string", "defaultDateFormat": "string", "defaultMeterTimeZone": { "daylightSavingsObserved": false, "gmtOffset": 1.0, "timeZoneCode": "string", "timeZoneId": 1, "timeZoneInfo": "string"
}, "defaultTopmostPlace": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": { "icon": {}, "isSystemPlaceType": false, "placeEntityType": {}, "placeTypeCode": "string", "placeTypeId": 1, "placeTypeInfo": "string", "structure": false
}
}, "defaultTopmostSpace": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": { "icon": {}, "isSystemPlaceType": false, "placeEntityType": {}, "placeTypeCode": "string", "placeTypeId": 1, "placeTypeInfo": "string", "structure": false
}
}, "defaultUserRole": { "userRoleId": 1, "userRoleInfo": "string"
}, "displayOrganizationNameInHeader": false, "monthsToExcludeFromCharts": 1, "organizationLogo": "string", "organizationName": "string"
}